[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| GiniCriterion |

`#include <vigra/random_forest/rf_split.hxx>`

List of all members.

## Public Member Functions
template<class Array>
double | operator() (Array const &hist, double total=1.0) const
template<class Array, class Array2>
double | operator() (Array const &hist, Array2 const &weights, double total=1.0) const
## Static Public Member Functions
template<class Array, class Array2>
static double | impurity (Array const &hist, Array2 const &weights, double total)
template<class Array>
static double | impurity (Array const &hist, double total)

## Detailed Description

Functor to calculate the gini impurity

## Member Function Documentation

template<class Array, class Array2>
static double impurity | ( | Array const & | hist,
|  | Array2 const & | weights,
|  | double | total |
| ) |  |  | `[static]`

static version of operator(hist, weights, total)

template<class Array>
static double impurity | ( | Array const & | hist,
|  | double | total |
| ) |  |  | `[static]`

static version of operator(hist total)

template<class Array>
double operator() | ( | Array const & | hist,
|  | double | total = `1.0` |
| ) |  |  | const

calculate the gini based impurity based on class histogram

template<class Array, class Array2>
double operator() | ( | Array const & | hist,
|  | Array2 const & | weights,
|  | double | total = `1.0` |
| ) |  |  | const

caculate the weighted gini impurity based on class histogram and class weights

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_split.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)